org.deidentifier.arx.gui.view.impl.common.table

## Class LayerSelection

- java.lang.Object
- - org.eclipse.nebula.widgets.nattable.layer.AbstractLayer
  - - org.eclipse.nebula.widgets.nattable.layer.AbstractIndexLayerTransform
    - - org.eclipse.nebula.widgets.nattable.selection.SelectionLayer
      - - org.deidentifier.arx.gui.view.impl.common.table.LayerSelection

All Implemented Interfaces:
  CTComponent, org.eclipse.nebula.widgets.nattable.layer.ILayer, org.eclipse.nebula.widgets.nattable.layer.ILayerListener, org.eclipse.nebula.widgets.nattable.layer.IUniqueIndexLayer, org.eclipse.nebula.widgets.nattable.persistence.IPersistable

    public class LayerSelection
    extends org.eclipse.nebula.widgets.nattable.selection.SelectionLayer
    implements CTComponent

A selection layer for table views.

Author:
  Fabian Prasser

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.nebula.widgets.nattable.selection.SelectionLayer

`org.eclipse.nebula.widgets.nattable.selection.SelectionLayer.MoveDirectionEnum`

### Field Summary

### Fields inherited from class org.eclipse.nebula.widgets.nattable.selection.SelectionLayer

`MOVE_ALL, NO_SELECTION`

### Fields inherited from interface org.eclipse.nebula.widgets.nattable.persistence.IPersistable

`DOT, VALUE_SEPARATOR`

### Constructor Summary

Constructors
Constructor and Description
`LayerSelection(org.eclipse.nebula.widgets.nattable.layer.IUniqueIndexLayer underlyingLayer, CTConfiguration config)` Creates a new instance.

### Method Summary

All Methods Instance Methods Concrete Methods
`CTConfiguration` `getConfig()`
`boolean` `isCellPositionSelected(int columnPosition, int rowPosition)`
`boolean` `isColumnPositionFullySelected(int columnPosition)`
`boolean` `isColumnPositionSelected(int columnPosition)`
`boolean` `isRowPositionFullySelected(int rowPosition)`
`boolean` `isRowPositionSelected(int rowPosition)`

### Methods inherited from class org.eclipse.nebula.widgets.nattable.selection.SelectionLayer

`addSelection, clear, clear, clearSelection, clearSelection, doCommand, fireCellSelectionEvent, getConfigLabelsByPosition, getDisplayModeByPosition, getFullySelectedColumnPositions, getFullySelectedRowPositions, getLastSelectedCellPosition, getLastSelectedRegion, getLayerPainter, getSelectedCellPositions, getSelectedCells, getSelectedColumnPositions, getSelectedRowCount, getSelectedRowPositions, getSelectionAnchor, getSelectionModel, hasColumnSelection, hasRowSelection, moveSelectionAnchor, selectAll, selectCell, selectColumn, selectRegion, selectRow, setLastSelectedCell, setSelectedCell, setSelectionModel`

### Methods inherited from class org.eclipse.nebula.widgets.nattable.layer.AbstractIndexLayerTransform

`configure, dispose, getCellByPosition, getCellPainter, getColumnCount, getColumnIndexByPosition, getColumnPositionByIndex, getColumnPositionByX, getColumnWidthByPosition, getDataValueByPosition, getHeight, getPreferredColumnCount, getPreferredHeight, getPreferredRowCount, getPreferredWidth, getRegionLabelsByXY, getRowCount, getRowHeightByPosition, getRowIndexByPosition, getRowPositionByIndex, getRowPositionByY, getStartXOfColumnPosition, getStartYOfRowPosition, getUnderlyingLayerByPosition, getUnderlyingLayersByColumnPosition, getUnderlyingLayersByRowPosition, getWidth, isColumnPositionResizable, isRowPositionResizable, loadState, localToUnderlyingColumnPosition, localToUnderlyingRowPosition, saveState, setClientAreaProvider, underlyingToLocalColumnPosition, underlyingToLocalColumnPositions, underlyingToLocalRowPosition, underlyingToLocalRowPositions`

### Methods inherited from class org.eclipse.nebula.widgets.nattable.layer.AbstractLayer

`addConfiguration, addLayerListener, clearConfiguration, fireLayerEvent, getBoundsByPosition, getClientAreaProvider, getConfigLabelAccumulator, getRegionName, handleLayerEvent, hasLayerListener, registerCommandHandler, registerEventHandler, registerPersistable, removeLayerListener, setConfigLabelAccumulator, setLayerPainter, setRegionName, toString, unregisterCommandHandler, unregisterEventHandler, unregisterPersistable`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.nebula.widgets.nattable.layer.ILayer

`addLayerListener, fireLayerEvent, getBoundsByPosition, getClientAreaProvider, hasLayerListener, registerCommandHandler, registerPersistable, removeLayerListener, unregisterCommandHandler, unregisterPersistable`

### Methods inherited from interface org.eclipse.nebula.widgets.nattable.layer.ILayerListener

`handleLayerEvent`

### Constructor Detail

#### LayerSelection

    public LayerSelection(org.eclipse.nebula.widgets.nattable.layer.IUniqueIndexLayer underlyingLayer,
                          CTConfiguration config)

Creates a new instance.

Parameters:
  `underlyingLayer` -
  `config` -

### Method Detail

#### getConfig

    public CTConfiguration getConfig()

Specified by:
  `getConfig` in interface `CTComponent`
Returns:

#### isCellPositionSelected

    public boolean isCellPositionSelected(int columnPosition,
                                          int rowPosition)

Overrides:
  `isCellPositionSelected` in class `org.eclipse.nebula.widgets.nattable.selection.SelectionLayer`

#### isColumnPositionFullySelected

    public boolean isColumnPositionFullySelected(int columnPosition)

Overrides:
  `isColumnPositionFullySelected` in class `org.eclipse.nebula.widgets.nattable.selection.SelectionLayer`

#### isColumnPositionSelected

    public boolean isColumnPositionSelected(int columnPosition)

Overrides:
  `isColumnPositionSelected` in class `org.eclipse.nebula.widgets.nattable.selection.SelectionLayer`

#### isRowPositionFullySelected

    public boolean isRowPositionFullySelected(int rowPosition)

Overrides:
  `isRowPositionFullySelected` in class `org.eclipse.nebula.widgets.nattable.selection.SelectionLayer`

#### isRowPositionSelected

    public boolean isRowPositionSelected(int rowPosition)

Overrides:
  `isRowPositionSelected` in class `org.eclipse.nebula.widgets.nattable.selection.SelectionLayer`